name: ready_lms
description: "A new Flutter project."

publish_to: "none"

version: 1.1.0+3

environment:
  sdk: ">=3.5.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.8
  flutter_screenutil: ^5.9.3
  page_transition: ^2.2.1
  pretty_dio_logger: ^1.4.0
  flutter_easyloading: ^3.0.5
  flutter_form_builder: ^10.2.0
  form_builder_validators: ^11.2.0
  flutter_svg: ^2.0.10+1
  app_settings: ^6.1.1
  flutter_riverpod: ^2.1.3
  hive_flutter: ^1.1.0
  dio: ^5.9.0
  cached_network_image: ^3.4.1
  shimmer: ^3.0.0
  image_picker: ^1.2.0
  pinput: ^5.0.2
  intl: ^0.20.2
  intl_utils: ^2.8.7
  connectivity_wrapper: ^1.1.4
  flutter_localizations:
    sdk: flutter
  video_player: ^2.10.0
  device_preview: ^1.3.1
  path_provider: ^2.1.5
  permission_handler: ^12.0.1
  chewie: ^1.13.0
  webview_flutter: ^4.13.0
  # flutter_pdfview: ^1.3.2
  syncfusion_flutter_pdfviewer: ^28.2.7
  flutter_html: ^3.0.0
  # flutter_native_image: ^0.0.6
  # flutter_windowmanager: ^0.2.0
  device_info_plus: ^11.0.0
  collection: ^1.19.1
  flutter_local_notifications: ^19.4.2
  firebase_core: ^4.1.0
  firebase_messaging: ^16.0.1
  download: ^1.0.1
  flutter_downloader: ^1.12.0
  share_plus: ^12.0.0
  flutter_widget_from_html: ^0.17.1
  change_app_package_name: ^1.5.0
  carousel_slider: ^5.1.1
  gap: ^3.0.1
  flutter_gen_runner: ^5.12.0
  analyzer: ^8.2.0

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^6.0.0
  flutter_native_splash: ^2.4.6
  flutter_launcher_icons: ^0.14.4
  #hive_generator: ^2.0.1
  build_runner: ^2.8.0

flutter_native_splash:
  color: "#FFFFFF"
  image: assets/images/ic_logo.png
  android: true
  # ios: true
flutter_icons:
  image_path_android: "assets/images/ic_logo.png"
  image_path_ios: "assets/images/ic_logo.png"
  android: true
#   ios: true
#   # change_app_package_name: ^1.1.0
flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/svg/
    - assets/images/

  fonts:
    - family: Lexend
      fonts:
        - asset: assets/font/Lexend-Light.ttf
          weight: 300
        - asset: assets/font/Lexend-Regular.ttf
          weight: 400
        - asset: assets/font/Lexend-Medium.ttf
          weight: 500
        - asset: assets/font/Lexend-Bold.ttf
          weight: 700
flutter_intl:
  enabled: true
